tsb85_tests.c File Reference
`#include <inttypes.h>`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <ctype.h>`
`#include "floating_fudge.h"`
`#include <assert.h>`
`#include <fcntl.h>`
`#include <time.h>`
`#include <unistd.h>`
`#include <sndfile.h>`
`#include "spandsp.h"`
`#include "spandsp-sim.h"`
`#include "fax_tester.h"`
`#include "fax_utils.h"`

## Macros

#define | SPANDSP_EXPOSE_INTERNAL_STRUCTURES
#define | OUTPUT_TIFF_FILE_NAME "tsb85.tif"
#define | OUTPUT_WAVE_FILE_NAME "tsb85.wav"
#define | SAMPLES_PER_CHUNK 160

## Functions

int | main (int argc, char *argv[])

## Variables

SNDFILE * | out_handle
int | use_receiver_not_ready = FALSE
int | test_local_interrupt = FALSE
const char * | output_tiff_file_name
int | log_audio = FALSE
fax_state_t * | fax
faxtester_state_t | state
uint8_t | image [1000000]
uint8_t | awaited [1000]
int | awaited_len = 0
char | image_path [1024]
t30_exchanged_info_t | expected_rx_info
char | next_tx_file [1000]
struct { |
const char * tag |
int code |
} | t30_status []